﻿@model IEnumerable<BeerOverflow.Web.Models.BeerViewModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Beers</h1>

@using (Html.BeginForm())
{
    <p>
        Name  : @Html.TextBox("searchParams")
        <input type="submit" value="Search" />
    </p>
}
<p>
    @if (User.Identity.IsAuthenticated)
    {
        <a type="button" class="btn btn-primary btn-sm" asp-action="Create">Create New Beer</a>
    }
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.ActionLink("Name", "Index", new { sortOrder = ViewBag.NameSortParm })
            </th>
            <th>
                @Html.ActionLink("Type", "Index", new { sortOrder = ViewBag.TypeSortParm })
            </th>
            <th>
                @Html.ActionLink("Brewery", "Index", new { sortOrder = ViewBag.BrewerySortParm })
            </th>
            <th>
                @Html.ActionLink("Country", "Index", new { sortOrder = ViewBag.CountrySortParm })
            </th>

        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Type)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Brewery)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Country)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.AlcoholPercentage)
                </td>
                <td>
                    @if (User.Identity.IsAuthenticated)
                    {
                        @Html.ActionLink("Edit", "Edit",
                                    new { id = item.Id },
                                    new { @class = "btn btn-outline-primary btn-sm" })
                        @Html.ActionLink("Details", "Details",
                                    new { id = item.Id },
                                    new { @class = "btn btn-outline-primary btn-sm" })
                        @Html.ActionLink("Delete", "Delete",
                                    new { id = item.Id },
                                    new { @class = "btn btn-outline-danger btn-sm" })
                    }
                    else
                    {
                        @Html.ActionLink("Details", "Details",
                                    new { id = item.Id },
                                    new { @class = "btn btn-outline-primary btn-sm" })
                    }
                </td>
            </tr>
        }
    </tbody>
</table>
